
hirom  ; don't change this
header  ; comment out if your rom has no header

org $C218A4  ; location in v1.0 or v1.1
;org $C2189F  ; location in SFC version
REPLACE1:
C218A4:	JSR slot_magicite_setup
;C218A4:	LDA $3A7D

org $C2366C  ; location in v1.0 or v1.1
;org $C23667  ; location in SFC version
REPLACE2:
C2366C:	JSR slot_magicite_esper
;C2366C:	LDA $3412

org $C23680  ; location in v1.0 or v1.1
;org $C2367B  ; location in SFC version
REPLACE3:
C23680:	JSR slot_magicite_restore
;C23680:	STA $3A2A

org $C24DB8  ; location in v1.0 or v1.1
;org $C24DA0  ; location in SFC version
;REMOVED1:	PHA
C24DB8:	XBA
C24DB9:	TAX
;REMOVED2:
;	LDA $C24E4A,X  ; v1.0 or v1.1
;	LDA $C24E32,X  ; SFC only
C24DBA:	CPX #$02  ; is Slot result Joker Doom?
C24DBC:	BCS check_triple_bar  ; branch if not
;REMOVED3:	PHA
C24DBE:	LDA $C24E52,X  ; v1.0 or v1.1
;C24DBE:	LDA $C24E3A,X  ; SFC only
C24DC2:	STA $B8,X  ; store Joker Doom targets
C24DC4:	LDA $B8
C24DC6:	EOR $3A40  ; toggle enemy characters
C24DC9:	STA $B8

check_triple_bar:
REPLACE4:
C24DCB:	LDA $C24E4A,X  ; v1.0 or v1.1
;C24DCB:	LDA $C24E32,X  ; SFC only
;C24DCB:	PLA  ; this instruction gets replaced
C24DCF:	CMP #$FF  ; is Slot result triple BAR?
C24DD1:	BNE revert_xba  ; branch if not
	XBA  ; item ID = null
REPLACE5:  ; LDA replaces JSR
C24DD4:	LDA #$01  ; set Item command
;C24DD4:	JSR $37DC  ; v1.0 or v1.1
;C24DD4:	JSR $37D7  ; SFC only
	XBA
	NOP
	NOP
	NOP

revert_xba:
C24DDA:	XBA
;REMOVED4:	PLA

org $C2E6FF  ; location in v1.0 or v1.1
;org $C2E6C1  ; location in SFC version
REPLACE6:  ; get ready, this is HUGE!
C2E6FF:	DEY
C2E700:	BRA other_side

slot_magicite_setup:
C2E702:	LDA $3A7D  ; get item ID
C2E705:	CMP #$FF  ; if it's null, that means we got triple BAR on Slot
C2E707:	BNE exit  ; otherwise, exit
C2E709:	INC $B0  ; set "Slot Magicite" flag
C2E70B:	INC $3412  ; set to display Esper Summon
C2E70E:	LDA #$F9

exit:
C2E710:	RTS

slot_magicite_esper:
C2E711:	TRB $B0  ; clear "Slot Magicite"
C2E713:	BEQ load_message  ; branch if it wasn't set
C2E715:	ASL A
C2E716:	TRB $11A9  ; remove Magicite's special effect
C2E719:	JSR $3FAD  ; v1.0 or v1.1
;C2E719:	JSR $3F95  ; SFC only

set_b6:
C2E71C:	STA $B6  ; display randomly selected Esper

load_message:
C2E71E:	LDA $3412
C2E721:	RTS

slot_magicite_restore:
C2E722: STA $3A2A  ; store Esper ID
C2E725:	LDA $B5  ; get real command
C2E727:	CMP #$01  ; Item?
C2E729:	BNE exit  ; if not, exit
C2E72B:	LDA $3411  ; get item ID
C2E72E:	BRA set_b6  ; store in $B6

C2E730:	NOP
C2E731:	NOP
C2E732:	RTS

;	STA $1E  ; here's EVERYTHING we just replaced!
;	INC $8F
;	INC $8F
;	TDC
;	SEP #$20
;	LDA $E9FB  ; v1.0 or v1.1
;	LDA $E9CB  ; SFC only
;	JSR $E6E3  ; v1.0 or v1.1
;	JSR $E6A5  ; SFC only
;	CLC
;	ADC #$04
;	STA $2C6F
;	LDA $E9FB  ; v1.0 or v1.1
;	LDA $E9CB  ; SFC only
;	STA $2C71
;	STA $2C73
;	STA $613E  ; v1.0 or v1.1
;	STA $610E  ; SFC only
;	STZ $613D  ; v1.0 or v1.1
;	STZ $610D  ; SFC only
;	STZ $2C70
;	STZ $2C72
;	LDA #$C0
;	STA $2C6E
;	JSL $C1B880  ; v1.0 only
;	JSL $C1B87D  ; v1.1 only
;	JSL $C1B82E  ; SFC only
;	RTS

org $C2E73E  ; location in v1.0 or v1.1
;org $C2E700  ; location in SFC version
other_side:
C2E73E:	STA $1E
C2E740:	INC $8F
C2E742:	INC $8F
C2E744:	TDC
C2E745:	SEP #$20
REPLACE7:  ; Y-indexed LDA replaces non-indexed
C2E747:	LDA $E9FB,Y  ; v1.0 or v1.1
;C2E747:	LDA $E9CB,Y  ; SFC only
;C2E747:	LDA $E9FC  ; v1.0 or v1.1
;C2E747:	LDA $E9CC  ; SFC only
C2E74A:	JSR $E6E3  ; v1.0 or v1.1
;C2E74A:	JSR $E6A5  ; SFC only
C2E74D:	CLC
C2E74E:	ADC #$04
C2E750:	STA $2C6F
REPLACE8:  ; Y-indexed LDA replaces non-indexed
C2E753:	LDA $E9FB,Y  ; v1.0 or v1.1
;C2E753:	LDA $E9CB,Y  ; SFC only
;C2E753:	LDA $E9FC  ; v1.0 or v1.1
;C2E753:	LDA $E9CC  ; SFC only